<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE policyconfig PUBLIC
 "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/PolicyKit/1.0/policyconfig.dtd">

<policyconfig>
  <vendor>Trisquel</vendor>
  <vendor_url>https://trisquel.info</vendor_url>
  <icon_name>system-software-update</icon_name>

  <action id="com.ubuntu.release-upgrader.release-upgrade">
    <_description>Perform a release upgrade</_description>
    <_message>To upgrade Trisquel, you need to authenticate.</_message>
    <annotate key="org.freedesktop.policykit.exec.path">/usr/bin/do-release-upgrade</annotate>
    <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>

    <defaults>
      <allow_any>no</allow_any>
      <allow_inactive>no</allow_inactive>
      <allow_active>auth_admin</allow_active>
    </defaults>
  </action>

  <action id="com.ubuntu.release-upgrader.partial-upgrade">
    <_description>Perform a partial upgrade</_description>
    <_message>To perform a partial upgrade, you need to authenticate.</_message>
    <annotate key="org.freedesktop.policykit.exec.path">/usr/lib/trisquel-release-upgrader/do-partial-upgrade</annotate>
    <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>

    <defaults>
      <allow_any>no</allow_any>
      <allow_inactive>no</allow_inactive>
      <allow_active>auth_admin</allow_active>
    </defaults>
  </action>
  
</policyconfig>
